Name:          libdaq
Version:       3.0.16
Release:       1mamba
Summary:       Data Acquisition library
Group:         Network/Monitoring
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.snort.org/
Source:        https://github.com/snort3/libdaq.git/v%{version}/libdaq-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libmnl-devel
BuildRequires: libpcap-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END

%description
DAQ replaces direct calls to PCAP functions with an abstraction layer that facilitates operation on a variety of hardware and software interfaces without requiring changes to Snort. 
It is possible to select the DAQ type and mode when invoking Snort to perform PCAP readback or inline operation, etc.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{version}

%description devel
DAQ replaces direct calls to PCAP functions with an abstraction layer that facilitates operation on a variety of hardware and software interfaces without requiring changes to Snort.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q
./bootstrap

%build
%configure
%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libdaq.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_bindir}/daqtest
%{_bindir}/daqtest-static
%{_includedir}/daq*.h
%{_libdir}/libdaq*.a
%{_libdir}/libdaq.so
%{_libdir}/daq/*.so
%{_libdir}/pkgconfig/libdaq*.pc

%changelog
* Wed Jul 31 2024 Automatic Build System <autodist@openmamba.org> 3.0.16-1mamba
- automatic version update by autodist

* Fri Jun 07 2024 Automatic Build System <autodist@openmamba.org> 3.0.15-1mamba
- automatic version update by autodist

* Sat Jan 20 2024 Automatic Build System <autodist@openmamba.org> 3.0.14-1mamba
- automatic version update by autodist

* Sat Nov 11 2023 Automatic Build System <autodist@mambasoft.it> 3.0.13-1mamba
- automatic version update by autodist

* Wed Jun 21 2023 Automatic Build System <autodist@mambasoft.it> 3.0.12-1mamba
- automatic version update by autodist

* Sat Feb 25 2023 Automatic Build System <autodist@mambasoft.it> 3.0.11-1mamba
- automatic version update by autodist

* Sat Dec 24 2022 Automatic Build System <autodist@mambasoft.it> 3.0.10-1mamba
- automatic version update by autodist

* Thu Sep 01 2022 Automatic Build System <autodist@mambasoft.it> 3.0.9-1mamba
- automatic version update by autodist

* Fri Jun 03 2022 Automatic Build System <autodist@mambasoft.it> 3.0.8-1mamba
- automatic version update by autodist

* Sat May 07 2022 Automatic Build System <autodist@mambasoft.it> 3.0.7-1mamba
- automatic version update by autodist

* Wed Jan 26 2022 Automatic Build System <autodist@mambasoft.it> 3.0.6-1mamba
- automatic version update by autodist

* Sun Dec 26 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.5-1mamba
- update to 3.0.5

* Tue Jun 17 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.2-1mamba
- update to 2.0.2

* Mon Jan 06 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-1mamba
- update to 2.0.1

* Mon Jan 07 2013 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- update to 2.0.0

* Mon Mar 07 2011 Tiziana Ferro <tiziana.ferro@email.it> 0.5-1mamba
- package created by autospec
